Subject: Re: [PATCH 05/13] object-file: introduce `struct odb_loose_source`

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Oct 2025 09:16:58 -0700

Patrick Steinhardt <[email-masked]> writes:

>> Hm, I see your point. I think that "loose source" flows a bit more
>> natural, but I agree that the above is more accessible in code.
>> 
>> Before I change this: does anybody else have an opinion here?
>
> I think for now I'll stick to the current naming. This is due to two
> reasons:

Ah, I should have scanned my mailbox down to the end before starting
to respond.

>
>   - As said, I think this flows more naturally in language. When talking
>     about this you'll say "I'm using the files source" or "I'm using the
>     whatever source".

I do not happen to agree with this, although my preference is minor.

>   - It somewhat matches the naming we have in the reference backends,
>     where we have `struct reftable_backend` and `struct files_backend`.

loose_source (without odb) may mirror calling "ref backend that uses
files" files_backend, because "ref" is redundant in the context of
talking about ref backends.  "odb" is redundant when talking about
odb sources.  But we are not calling them loose_odb_source,
hbase_odb_source, etc. and instead saying "odb_loose_source", which
I find is a bit strange order.

> That being said I don't feel very strong about this.

Neither do I.